Subject: bug#28405: Adding entries to LaTeX-indent-environment-list

From: Uwe Brauer <[email-masked]>
Date: Tue, 01 Feb 2022 12:02:07 +0100

>>> "IK" == Ikumi Keita <[email-masked]> writes:

> [ Added [email-masked] to Cc: ]
>>>>>> Uwe Brauer <[email-masked]> writes:
>>>>> "IK" == Ikumi Keita <[email-masked]> writes:
>>> Hi all,
>>>>>>>> Ikumi Keita <[email-masked]> writes:
>>> Thanks for the check. I installed the enhanced fix into the git
>>> repository.

>>> I have tweaked LaTeX-indent-environment-list and I noticed bug#28405 [1].
>>> Should we add gather and multline environments as well to
>>> LaTeX-indent-environment-list like this?

>>> diff --git a/style/amsmath.el b/style/amsmath.el
>>> index e3cce752..d5fb1da6 100644
>>> --- a/style/amsmath.el
>>> +++ b/style/amsmath.el
>>> @@ -154,7 +154,8 @@
 
>>> (setq-local LaTeX-indent-environment-list
>>> (append LaTeX-indent-environment-list
>>> -                       '(("equation*")
>>> +                       '(("equation*") ("gather") ("gather*")
>>> +                         ("gathered") ("multline") ("multline*")
>>> ("align"       LaTeX-indent-tabular)
>>> ("align*"      LaTeX-indent-tabular)
>>> ("aligned"     LaTeX-indent-tabular)

>>> Note that this fixes bug#28405 whereas it disables filling inside gather
>>> and multline environments, which might confuse some users.

>> I am confused that patches of your disable the filling inside gather and
>> multiline environments? That is to say very long lines are not filled
>> anymore?

> Yes. More precisely, auto fill still works. However, explicit filling
> invoked by M-q, C-c C-q C-e etc. is disabled.

>> Hm, I have not tried that out, but my first impression is: I'd
>> rather prefer long lines to be broken, (filled) automatically otherwise
>> it is confusing.

> I have the same idea. It's confusing and inconvenient for users like us.
> However,
> 1. bug#28405 shows that there does exist users who don't think so and
>    prefer filling is disabled inside math environmnets.
> 2. Filling has already been disabled in "equation", "equation*" and
>    "displaymath" environments in AUCTeX. In other words, there is
>    inconsistency between those envs and "gather", "multline" envs.

Oh now I understand why I was so confused lately. 

How can I turn filling on for these environments.

Disabling filling makes my life harder 😕